
海思1G_wifi - Bug #3321

有文件不符合安全编译要求

04/01/2025 10:01 - 天琦 刘

Status: Closed Start date: 04/01/2025

Priority: Normal Due date:  

Assignee: 天琦 刘 % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: emei_V1.0.2_ker_fs_24225fdd.bin 复现概率: 100%

Description

测试步骤：

1、Linux测试PC上将设备软件包解压到目录 swdl

2、在Linux测试PC上执行 checksec --dir =swdl， 对软件包目录所有的可执行文件进行检查，输出报告，查看每一个文件的编译选项执行结果

统计所有非”.KO”类型文件的每一项编译选项开启的百分比

通过标准：

1．查看每一个文件的编译选项，当返回为以下结果时表示该项测试通过：

NX：“NX enabled”；

RELRO：”Full RELRO”；

PIE：“DSO”或“PIE enabled”；

RPATH：“No RPATH”；

RUNPATH：“No RUNPATH”；

Symbols：“No Symbols”；

2．所有非”.KO”类型文件中，开启了编译选项的统计应该为：

NX开启率达成100%；

RELRO（FULL）开启率达成100%；

PIE开启率达成100%；

RPATH/RUNPATH开启率达成100%；

Symbols开启率达成100%

实际结果：

见截图

History

#1 - 04/09/2025 14:17 - 良缘 彭

- Status changed from New to Resolved

- Assignee changed from 良缘 彭 to 天琦 刘

- % Done changed from 0 to 100

#2 - 04/14/2025 09:39 - 天琦 刘

- Status changed from Resolved to Closed
